Page MenuHomePhabricator

Stop using extension-list-wikidata from the build in mediawiki-config
Closed, ResolvedPublic

Description

In MediaWiki config (common settings) we have:

$wgExtensionEntryPointListFiles[] = "$IP/extensions/Wikidata/extension-list-wikidata";

We should change this to not use this file in the build

Event Timeline

aude created this task.Sep 29 2017, 11:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2017, 11:53 AM

@aude I guess in 1 commit we can add everything from extensions/Wikidata/extension-list-wikidata into the main extension lists in mediawiki-config and nothing will break?
(once the extensions are branched etc).

Would it make sense to wait for 2 branches before we touch anything like this incase rollbacks and things need to happen?

aude added a comment.Sep 30 2017, 4:05 PM

Wikidata.localisation.php uses $wgWikidataBaseDir, which could be set/managed outside the build

So, this could cause us some problems depending on how quickly we switch each extension from the build to using the actual extension for deployment.
If the build branch and wikibase branch are cut at different times / have different messages included then we could be missing messages during the switches due to the different in commits.

What would happen if we were to add all of the Wikibase extensions to extension-list now? How are duplicate messages handled? would anything else break?

I think we only really have a couple of options here:

  1. Keep extension-list-wikidata in the extension-list as well as each extension individually in the main extension-list (if possible)
  2. Simply switch everything from extension-list-wikidata to the main extension in extension-list.

Change 391245 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Stop using extension-list-wikidata from Wikidata build for labs

https://gerrit.wikimedia.org/r/391245

Change 391245 merged by jenkins-bot:
[operations/mediawiki-config@master] Stop using extension-list-wikidata from Wikidata build for labs

https://gerrit.wikimedia.org/r/391245

Change 391251 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Stop using extension-list-wikidata from Wikidat build for prod

https://gerrit.wikimedia.org/r/391251

Addshore claimed this task.Nov 14 2017, 5:22 PM
Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 14 2017, 5:22 PM
Addshore renamed this task from Remove extension-list-wikidata from the build to Stop using extension-list-wikidata from the build in mediawiki-config.Nov 15 2017, 8:45 PM

Change 394208 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] wdbuild: extension-list-labs stop using build entry points

https://gerrit.wikimedia.org/r/394208

Change 394282 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] wdbuild: Add wikidata extensions to extension-list

https://gerrit.wikimedia.org/r/394282

Change 394208 merged by jenkins-bot:
[operations/mediawiki-config@master] wdbuild: extension-list-labs stop using build entry points

https://gerrit.wikimedia.org/r/394208

Change 394282 merged by jenkins-bot:
[operations/mediawiki-config@master] wdbuild: Add wikidata extensions to extension-list

https://gerrit.wikimedia.org/r/394282

Addshore closed this task as Resolved.Nov 30 2017, 11:38 PM

Mentioned in SAL (#wikimedia-operations) [2017-11-30T23:39:12Z] <addshore@tin> Synchronized wmf-config: wdbuild: T173818 T177060 [[gerrit:394282|Add wikidata extensions to extension-list]] (duration: 00m 46s)

Change 391251 abandoned by Addshore:
Stop using extension-list-wikidata from Wikidata build for prod

Reason:
Already done in another merged patch

https://gerrit.wikimedia.org/r/391251